# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Fri May 26 14:58:00 2023
# ------------------------------------------------

package:
  name: joblib
  version: 1.2.0
source:
  sha256: 574eca5aaeb0a06c4fe0a8e8e67b24715218fb0f9d0fdc9d4f30519100885e53
  url: https://github.com/joblib/joblib/archive/1.2.0.tar.gz
build:
  number: '0'
  script: /croot/joblib_1685113087166/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  string: py311h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.01.10 h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 1.1.1t h7f8727e_0
    - pip 23.0.1 py311h06a4308_0
    - python 3.11.3 h7a1cb2a_0
    - readline 8.2 h5eee18b_0
    - setuptools 66.0.0 py311h06a4308_0
    - sqlite 3.41.2 h5eee18b_0
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.38.4 py311h06a4308_0
    - xz 5.4.2 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
  run:
    - python >=3.11,<3.12.0a0
test:
  commands:
    - pip check
    - python -c "from joblib import Memory, Parallel, delayed"
  imports:
    - joblib
    - joblib.externals
    - joblib.externals.cloudpickle
    - joblib.externals.loky
    - joblib.externals.loky.backend
    - joblib.test
    - joblib.test.data
  requires:
    - pip
    - pytest
about:
  description: '"A set of tools to provide lightweight pipelining in Python. In particular:

    transparent disk-caching of functions and lazy re-evaluation (memoize pattern),

    easy simple parallel computing. Joblib is optimized to be fast and robust on

    large data in particular and has specific optimizations for numpy arrays."

    '
  dev_url: https://github.com/joblib/joblib
  doc_url: https://joblib.readthedocs.io/
  home: https://joblib.readthedocs.io/
  license: BSD-3-Clause
  license_family: BSD
  license_url: https://github.com/joblib/joblib/blob/1.2.0/LICENSE.txt
  summary: 'Lightweight pipelining: using Python functions as pipeline jobs.'
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 624678f1-cffe-4b09-9cdd-3d5767bd25c8
  recipe-maintainers:
    - jakirkham
    - lesteve
    - ocefpaf
    - ogrisel
    - pierreglaser
    - tomMoral
  remote_url: git@github.com:AnacondaRecipes/joblib-feedstock.git
  sha: d5bd1834b06b6984c177d539f0482900852c9539
